Bug 1614277 - Merge Dstat And Performance Co-Pilot
Summary: Merge Dstat And Performance Co-Pilot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-09 10:05 UTC by Ben Cotton
Modified: 2019-10-29 17:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-29 17:11:33 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2018-08-09 10:05:04 UTC
This is a tracking bug for Change: Merge Dstat And Performance Co-Pilot
For more details, see: https://fedoraproject.org/wiki/Changes/MergeDstatAndPerformanceCoPilot

Dstat is a resource statistics tool for the local host.  Performance Co-Pilot is a system performance analysis toolkit.

Comment 1 Jan Kurik 2018-08-14 11:01:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2018-08-14 13:12:44 UTC
According to the Fedora 29 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to ON_QA. A list of incomplete changes will be sent to FESCo tomorrow for evaluation. If you know your change will not be ready for Fedora 29, you can set the version to rawhide and notify bcotton@fedoraproject.org.

[1] https://fedoraproject.org/wiki/Releases/29/Schedule

Comment 3 Nikos Mavrogiannopoulos 2018-08-14 13:15:31 UTC
I'm not related to this change.

Comment 4 Ben Cotton 2018-08-15 11:23:43 UTC
Correction: please set the status to "MODIFIED" when the change is testable. See https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 5 David Kaspar [Dee'Kej] 2018-08-20 10:52:02 UTC
I just realized I was assigned to this instead of Nathan, who is taking care of this. Nathan, are we ready with this change? :)

Comment 6 Nathan Scott 2018-08-20 20:52:16 UTC
Yes, everything is in place for testing with the recent update to pcp-4.1.1 - thanks David.

Comment 7 Adam Miller 2018-08-27 16:55:10 UTC
Has anyone obtained explicit consent from dstat upstream about re-using the name and replacing the utility?

Comment 8 David Kaspar [Dee'Kej] 2018-08-27 23:01:21 UTC
(In reply to Adam Miller from comment #7)
> Has anyone obtained explicit consent from dstat upstream about re-using the
> name and replacing the utility?

IMHO, we are not reusing the name. The name is Performance Co-Pilot, and the subpackage is pcp-dstat. And in the system, the /usr/bin/dstat is a symlink to /usr/bin/pcp-dstat.

Though I'm not a lawyer. Can somebody tell us if this is actual name re-using or not?

Comment 9 Nathan Scott 2018-08-27 23:37:02 UTC
To my knowledge, there is no need (legally) to obtain consent to use the name 'dstat' for a replacement command providing the same functionality.  It might be a nice thing to do from a community perspective, however - if there was someone to discuss with upstream.

However, dstat is dead upstream.  There have been no updates for years, no responses at all to any bug reports in the months I've been following the github repo now, and certainly no attempt to begin undertaking a python3 port.

Since there is nobody maintaining the original dstat code anymore, it seemed a futile exercise to me so I've not attempted to contact the original author.  And as pcp-dstat is now well advanced beyond the original dstat - implementing features listed in dstat's roadmap for many years, and with multiple active contributors - I think moving on with the backward-compatible name symlink is the best we can do.

cheers.

Comment 10 Ben Cotton 2018-08-28 13:53:55 UTC
Today is the '100% code complete deadline' Change Checkpoint[1], meaning that Fedora 29 Changes must now be code complete. All the code required to enable to the new change should now be finished. If your Change is code complete, please update the status of this tracker back to "ON_QA". The change does not have to be fully tested by this deadline.

We have now reached the Beta freeze. If your Change is not code complete, you need to request a Freeze Exception[2] or invoke the contingency plan.

[1] https://fedoraproject.org/wiki/Changes/Policy#Beta_deadline.2Faccepted_changes_100.25_complete

[2] https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process


Note You need to log in before you can comment on or make changes to this bug.